
Foreman - Bug #6687

Subdomains in Foreman doesn't work

07/18/2014 08:50 AM - Jon Skarpeteig

Status: New   

Priority: High   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Example domains:

domain.com

sub.domain.com

sub.domain2.com

When editing a host I've seen the following behavior:

Create: Name = hostname / Domain = sub.domain.com

Edit:   Name = hostname.sub / Domain=domain.com

Edit:   Name = hostname / Domain=sub.domain2.com

Custom override params disappears in between edits

Save fails saying ip address already in use

End result: fubared host.

Related issues:

Related to Foreman - Bug #12083: Domain matching isn't specific enough Closed 10/07/2015

History

#1 - 07/18/2014 09:00 AM - Jon Skarpeteig

Another effect related to this:

Warning!

Validation failed: Match fqdn=hostname.domain.com does not match an existing host

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You w

ould probably need to attach the Full trace and relevant log entries.

ActiveRecord::RecordInvalid

Validation failed: Match fqdn=adam.cisco.com does not match an existing host

app/models/concerns/host_common.rb:46:in `block in lookup_values_attributes='

app/models/concerns/host_common.rb:39:in `each_value'

app/models/concerns/host_common.rb:39:in `lookup_values_attributes='

app/controllers/hosts_controller.rb:113:in `block in update'

app/models/taxonomy.rb:41:in `block in no_taxonomy_scope'

app/models/taxonomy.rb:48:in `block (2 levels) in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:143:in `as_location'

app/models/taxonomy.rb:47:in `block in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:108:in `as_org'

app/models/taxonomy.rb:46:in `as_taxonomy'

app/models/taxonomy.rb:40:in `no_taxonomy_scope'

app/controllers/hosts_controller.rb:105:in `update'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

#2 - 07/21/2014 04:31 AM - Dominic Cleal
- Project changed from Plugins to Foreman

- Category set to Host creation

#3 - 11/20/2014 10:38 AM - Shlomi Zadok

- Assignee set to Shlomi Zadok

#4 - 11/20/2014 11:04 AM - Shlomi Zadok

- Status changed from New to Need more information

Hi Jon,

I am trying to reproduce this issue and I would love to get some more details.

Currently when I am changing the domain / sub-domain - I am only getting a message to acknowledge the IP change (DHCP record already exists... -

with option to override)

#5 - 11/25/2014 04:02 AM - Jon Skarpeteig

I'm seeing that the name field is changing it's value from creation time, and the same for the domain dropdown.

Also, the IP should be constant in between edits (no need to overwrite with the same value)

#6 - 12/05/2014 05:16 AM - Jon Skarpeteig

Another related issue:

Changing the domain of an existing host results in:

xx has already been taken

This makes it impossible to save the node.

#7 - 09/04/2015 03:46 AM - Jon Skarpeteig

In 1.8.2 this has yet another side effect, causing node parameters to be blanked out

When creating a new host: host.domain.tld the name is actually set to: host.sub.domain.tld

I have both domain.tld and sub.domain.tld present.

root@foreman:~# sudo u puppet /etc/puppet/node.rb host.*domain.tld*

--

classes: {}

parameters:

puppetmaster: foreman

domainname: ''

root_pw:

foreman_env: production

ip:

mac:

foreman_subnets: []

foreman_interfaces:

- mac:

ip:

type: Interface

name: host.*sub.domain.tld*

attrs: {}

virtual: false

link: true

identifier:

managed: true

primary: true

provision: true

subnet:

environment: production

I am also unable to edit this host, as GUI reports: "name is already in use" when attempting to submit any changes

#8 - 10/07/2015 03:58 AM - Dominic Cleal

- Status changed from Need more information to New

- Assignee deleted (Shlomi Zadok)
#9 - 10/07/2015 05:38 AM - Dominic Cleal

- Related to Bug #12083: Domain matching isn't specific enough added
